> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /gaspravosudie/courts/search

> Search the directory of Russian federal courts of general jurisdiction within a region: court name, classification code, region, address, phone, email and official website.

**Price:** 5 credits per 50 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/gaspravosudie/courts/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/gaspravosudie/courts/search:
    post:
      tags:
        - /gaspravosudie
      summary: /gaspravosudie/courts/search
      description: >-
        Search the directory of Russian federal courts of general jurisdiction
        within a region: court name, classification code, region, address,
        phone, email and official website.


        **Price:** 5 credits per 50 results
      operationId: __api_gaspravosudie_courts_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GaspravosudieCourtsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GaspravosudieCourt'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GaspravosudieCourtsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        region:
          $ref: '#/components/schemas/GaspravosudieRegion'
        name:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - region
        - count
    GaspravosudieCourt:
      properties:
        '@type':
          type: string
          default: GaspravosudieCourt
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        subdomain:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GaspravosudieRegion:
      type: string
      enum:
        - Республика Адыгея
        - Алтайский край
        - Республика Алтай
        - Амурская область
        - Архангельская область
        - Астраханская область
        - Республика Башкортостан
        - Белгородская область
        - Брянская область
        - Республика Бурятия
        - Организации центрального подчинения
        - Чеченская Республика
        - Челябинская область
        - Чукотский автономный округ
        - Чувашская Республика
        - Республика Крым
        - Республика Дагестан
        - Донецкая Народная Республика
        - Республика Ингушетия
        - Иркутская область
        - Ивановская область
        - Еврейская автономная область
        - Кабардино-Балкарская Республика
        - Калининградская область
        - Республика Калмыкия
        - Калужская область
        - Камчатский край
        - Карачаево-Черкесская Республика
        - Республика Карелия
        - Кемеровская область
        - Хабаровский край
        - Республика Хакасия
        - Ханты-Мансийский автономный округ
        - Херсонская область
        - Кировская область
        - Республика Коми
        - Костромская область
        - Краснодарский край
        - Красноярский край
        - Курганская область
        - Курская область
        - Ленинградская область
        - Липецкая область
        - Луганская Народная Республика
        - Магаданская область
        - Республика Марий Эл
        - Республика Мордовия
        - Город Москва
        - Московская область
        - Мурманская область
        - Ненецкий автономный округ
        - Нижегородская область
        - Республика Северная Осетия-Алания
        - Новгородская область
        - Новосибирская область
        - Омская область
        - Оренбургская область
        - Орловская область
        - Территории за пределами РФ
        - Пензенская область
        - Пермский край
        - Приморский край
        - Псковская область
        - Ростовская область
        - Рязанская область
        - Город Санкт-Петербург
        - Республика Саха (Якутия)
        - Сахалинская область
        - Самарская область
        - Саратовская область
        - Город Севастополь
        - Смоленская область
        - Ставропольский край
        - Свердловская область
        - Тамбовская область
        - Республика Татарстан
        - Томская область
        - Тульская область
        - Тверская область
        - Тюменская область
        - Республика Тыва
        - Удмуртская Республика
        - Ульяновская область
        - Владимирская область
        - Волгоградская область
        - Вологодская область
        - Воронежская область
        - Ямало-Ненецкий автономный округ
        - Ярославская область
        - Забайкальский край
        - Запорожская область
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````